#
#  GNUmakefile
#  
#  Written by:	Scott Christley <schristley@mac.com>
#  Copyright (c) 2003-2009 The BioCocoa Project.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#  notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#  notice, this list of conditions and the following disclaimer in the
#  documentation and/or other materials provided with the distribution.
#  3. The name of the author may not be used to endorse or promote products
#  derived from this software without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

include $(GNUSTEP_MAKEFILES)/common.make

# The library to be compiled
SUBPROJECT_NAME = BCSymbol

# The Objective-C source files to be compiled
BCSymbol_OBJC_FILES = \
BCAminoAcid.m \
BCNucleotide.m \
BCSymbol.m \
BCNucleotideDNA.m \
BCNucleotideRNA.m \
BCSymbolSet.m

# The header files
BCSymbol_HEADER_FILES = \
BCAminoAcid.h \
BCNucleotide.h \
BCSymbol.h \
BCNucleotideDNA.h \
BCNucleotideRNA.h \
BCSymbolSet.h

BIOCOCOA_BASE_DIR = ..
-include $(BIOCOCOA_BASE_DIR)/GNUmakefile.preamble

include $(GNUSTEP_MAKEFILES)/subproject.make

-include GNUmakefile.postamble
